Groovy 1.7.0

## groovy.text
Class TemplateEngine

    java.lang.Object
      groovy.text.TemplateEngine

    class TemplateEngine
    extends Object

Represents an API to any template engine which is basically a factory of Template instances from a given text input.

author:
  sam

Constructor Summary
`TemplateEngine()`

Method Summary
`Template` | `createTemplate(Reader reader)`
`Template` | `createTemplate(String templateText)`
`Template` | `createTemplate(File file)`
`Template` | `createTemplate(URL url)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### TemplateEngine

    TemplateEngine()

Method Detail

### createTemplate

    public Template createTemplate(Reader reader)

### createTemplate

    public Template createTemplate(String templateText)

### createTemplate

    public Template createTemplate(File file)

### createTemplate

    public Template createTemplate(URL url)

Copyright © 2003-2009 The Codehaus. All rights reserved.